Skip to main content
Server path: /coda-documents | Type: Application | PCID required: Yes

Tools


Add a go link Parameters:
ParameterTypeRequiredDefaultDescription
organizationIdstringYesID of the organization.
creatorEmailstringNoOptional creator email for the Go Link. Only organization admins can set this field.
descriptionstringNoOptional description for the Go Link.
destinationUrlstringYesThe URL that the Go Link redirects to.
namestringYesThe name of the Go Link that comes after go/. Only alphanumeric characters, dashes, and underscores are allowed.
urlPatternstringNoOptional destination URL with {*} placeholders for variables to be inserted. Variables are specified like go/<name>/<var1>/<var2>.

coda_documents_add_permission

Add permission Parameters:
ParameterTypeRequiredDefaultDescription
docIdstringYesID of the doc.
accessstringYesType of access (excluding none).
principalobjectYesMetadata about a principal to add to a doc.
suppressEmailbooleanNoWhen true suppresses email notification

coda_documents_begin_page_content_export

Begin content export Parameters:
ParameterTypeRequiredDefaultDescription
docIdstringYesID of the doc.
pageIdOrNamestringYesID or name of the page. Names are discouraged because they’re easily prone to being changed by users. If you’re using a name, be sure to URI-encode it. If you provide a name and there are multiple pages with the same name, an arbitrary one will be selected.
outputFormatstringYesSupported output content formats that can be requested for getting content for an existing page.

coda_documents_create_doc

Create doc Parameters:
ParameterTypeRequiredDefaultDescription
folderIdstringNoThe ID of the folder within which to create this doc. Defaults to your “My docs” folder in the oldest workspace you joined; this is subject to change. You can get this ID by opening the folder in the docs list on your computer and grabbing the folderId query parameter.
initialPageobjectNoInitial Page
sourceDocstringNoAn optional doc ID from which to create a copy.
timezonestringNoThe timezone to use for the newly created doc.
titlestringNoTitle of the new doc. Defaults to ‘Untitled’.

coda_documents_create_folder

Create folder Parameters:
ParameterTypeRequiredDefaultDescription
descriptionstringNoDescription of the folder.
namestringYesName of the folder.
workspaceIdstringYesID of the workspace where the folder should be created.

coda_documents_create_page

Create a page Parameters:
ParameterTypeRequiredDefaultDescription
docIdstringYesID of the doc.
iconNamestringNoName of the icon.
imageUrlstringNoUrl of the cover image to use.
namestringNoName of the page.
pageContentobjectNoContent that can be added to a page at creation time, either text (or rich text) or a URL to create a full-page embed.
parentPageIdstringNoThe ID of this new page’s parent, if creating a subpage.
subtitlestringNoSubtitle of the page.

coda_documents_delete_doc

Delete doc Parameters:
ParameterTypeRequiredDefaultDescription
docIdstringYesID of the doc.

coda_documents_delete_folder

Delete folder Parameters:
ParameterTypeRequiredDefaultDescription
folderIdstringYesID of the folder.

coda_documents_delete_page

Delete a page Parameters:
ParameterTypeRequiredDefaultDescription
docIdstringYesID of the doc.
pageIdOrNamestringYesID or name of the page. Names are discouraged because they’re easily prone to being changed by users. If you’re using a name, be sure to URI-encode it. If you provide a name and there are multiple pages with the same name, an arbitrary one will be selected.

coda_documents_delete_page_content

Delete page content Parameters:
ParameterTypeRequiredDefaultDescription
docIdstringYesID of the doc.
pageIdOrNamestringYesID or name of the page. Names are discouraged because they’re easily prone to being changed by users. If you’re using a name, be sure to URI-encode it. If you provide a name and there are multiple pages with the same name, an arbitrary one will be selected.
elementIdsstring[]NoIDs of the elements to delete from the page. If omitted or empty, all content will be deleted.

coda_documents_delete_permission

Delete permission Parameters:
ParameterTypeRequiredDefaultDescription
docIdstringYesID of the doc.
permissionIdstringYesID of a permission on a doc.

coda_documents_get_acl_settings

Get ACL settings Parameters:
ParameterTypeRequiredDefaultDescription
docIdstringYesID of the doc.

coda_documents_get_doc

Get info about a doc Parameters:
ParameterTypeRequiredDefaultDescription
docIdstringYesID of the doc.

coda_documents_get_folder

Get folder Parameters:
ParameterTypeRequiredDefaultDescription
folderIdstringYesID of the folder.

coda_documents_get_mutation_status

Get mutation status Parameters:
ParameterTypeRequiredDefaultDescription
requestIdstringYesID of the request.

coda_documents_get_page

Get a page Parameters:
ParameterTypeRequiredDefaultDescription
docIdstringYesID of the doc.
pageIdOrNamestringYesID or name of the page. Names are discouraged because they’re easily prone to being changed by users. If you’re using a name, be sure to URI-encode it. If you provide a name and there are multiple pages with the same name, an arbitrary one will be selected.

coda_documents_get_page_content_export_status

Content export status Parameters:
ParameterTypeRequiredDefaultDescription
docIdstringYesID of the doc.
pageIdOrNamestringYesID or name of the page. Names are discouraged because they’re easily prone to being changed by users. If you’re using a name, be sure to URI-encode it. If you provide a name and there are multiple pages with the same name, an arbitrary one will be selected.
requestIdstringYesID of the request.

coda_documents_get_permissions

List permissions Parameters:
ParameterTypeRequiredDefaultDescription
docIdstringYesID of the doc.
limitintegerNoMaximum number of results to return in this query.
pageTokenstringNoAn opaque token used to fetch the next page of results.

coda_documents_get_sharing_metadata

Get sharing metadata Parameters:
ParameterTypeRequiredDefaultDescription
docIdstringYesID of the doc.

coda_documents_list_docs

List available docs Parameters:
ParameterTypeRequiredDefaultDescription
isOwnerbooleanNoShow only docs owned by the user.
isPublishedbooleanNoShow only published docs.
querystringNoSearch term used to filter down results.
sourceDocstringNoShow only docs copied from the specified doc ID.
isStarredbooleanNoIf true, returns docs that are starred. If false, returns docs that are not starred.
inGallerybooleanNoShow only docs visible within the gallery.
workspaceIdstringNoShow only docs belonging to the given workspace.
folderIdstringNoShow only docs belonging to the given folder.
limitintegerNoMaximum number of results to return in this query.
pageTokenstringNoAn opaque token used to fetch the next page of results.

coda_documents_list_folders

List folders Parameters:
ParameterTypeRequiredDefaultDescription
workspaceIdstringNoShow only folders belonging to the given workspace.
isStarredbooleanNoIf true, returns folders that are starred. If false, returns folders that are not starred. If not specified, returns all folders.
limitintegerNoMaximum number of results to return in this query.
pageTokenstringNoAn opaque token used to fetch the next page of results.

coda_documents_list_page_content

List page content Parameters:
ParameterTypeRequiredDefaultDescription
docIdstringYesID of the doc.
pageIdOrNamestringYesID or name of the page. Names are discouraged because they’re easily prone to being changed by users. If you’re using a name, be sure to URI-encode it. If you provide a name and there are multiple pages with the same name, an arbitrary one will be selected.
limitintegerNoMaximum number of content items to return in this query.
pageTokenstringNoAn opaque token used to fetch the next page of results.
contentFormatstringNoThe format to return content in. Defaults to plainText.

coda_documents_list_pages

List pages Parameters:
ParameterTypeRequiredDefaultDescription
docIdstringYesID of the doc.
limitintegerNoMaximum number of results to return in this query.
pageTokenstringNoAn opaque token used to fetch the next page of results.

coda_documents_publish_doc

Publish doc Parameters:
ParameterTypeRequiredDefaultDescription
docIdstringYesID of the doc.
categoryNamesstring[]NoThe names of categories to apply to the document.
discoverablebooleanNoIf true, indicates that the doc is discoverable.
earnCreditbooleanNoIf true, new users may be required to sign in to view content within this document. You will receive Coda credit for each user who signs up via your doc.
modestringNoWhich interaction mode the published doc should use.
slugstringNoSlug for the published doc.

Resolve browser link Parameters:
ParameterTypeRequiredDefaultDescription
urlstringYesThe browser link to try to resolve.
degradeGracefullybooleanNoBy default, attempting to resolve the Coda URL of a deleted object will result in an error. If this flag is set, the next-available object, all the way up to the doc itself, will be resolved.

coda_documents_search_principals

Search principals Parameters:
ParameterTypeRequiredDefaultDescription
docIdstringYesID of the doc.
querystringNoSearch term used to filter down results.

coda_documents_unpublish_doc

Unpublish doc Parameters:
ParameterTypeRequiredDefaultDescription
docIdstringYesID of the doc.

coda_documents_update_acl_settings

Update ACL settings Parameters:
ParameterTypeRequiredDefaultDescription
docIdstringYesID of the doc.
allowCopyingbooleanNoWhen true, allows doc viewers to copy the doc.
allowEditorsToChangePermissionsbooleanNoWhen true, allows editors to change doc permissions. When false, only doc owner can change doc permissions.
allowViewersToRequestEditingbooleanNoWhen true, allows doc viewers to request editing permissions.

coda_documents_update_doc

Update doc Parameters:
ParameterTypeRequiredDefaultDescription
docIdstringYesID of the doc.
iconNamestringNoName of the icon.
titlestringNoTitle of the doc.

coda_documents_update_folder

Update folder Parameters:
ParameterTypeRequiredDefaultDescription
folderIdstringYesID of the folder.
descriptionstringNoDescription of the folder.
namestringNoName of the folder.

coda_documents_update_page

Update a page Parameters:
ParameterTypeRequiredDefaultDescription
docIdstringYesID of the doc.
pageIdOrNamestringYesID or name of the page. Names are discouraged because they’re easily prone to being changed by users. If you’re using a name, be sure to URI-encode it. If you provide a name and there are multiple pages with the same name, an arbitrary one will be selected.
contentUpdateobjectNoContent Update
iconNamestringNoName of the icon.
imageUrlstringNoUrl of the cover image to use.
isHiddenbooleanNoWhether the page is hidden or not. Note that for pages that cannot be hidden, like the sole top-level page in a doc, this will be ignored.
namestringNoName of the page.
subtitlestringNoSubtitle of the page.